{"openapi":"3.0.0","info":{"title":"OVHcloud API specification","description":"Specification for OVHcloud API","version":"1.0","contact":{"name":"OVH","email":"api@ml.ovh.net"}},"servers":[{"url":"https://api.eu.ovhcloud.com/v2"}],"components":{"schemas":{"any":{"description":"Can be anything (text, int, bool, json, html, etc.)","example":"This is a content of any type !"},"duration":{"type":"string","description":"Duration (e.g., P1Y2M3DT4H6M9S)","example":"P1Y2M3DT4H6M9S"},"email":{"type":"string","description":"Email address (e.g., api@ml.ovh.net)","format":"email","example":"api@ml.ovh.net"},"internationalPhoneNumber":{"type":"string","description":"International phone number","format":"phone-number"},"ip":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipBlock":{"type":"string","description":"IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)","format":"ip-block","example":"192.0.2.0/24"},"ipInterface":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4":{"type":"string","description":"IPv4 address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4Block":{"type":"string","description":"IPv4 CIDR notation (e.g., 192.0.2.0/24)","format":"ipv4-block","example":"192.0.2.0/24"},"ipv6":{"type":"string","description":"IPv6 address (e.g., 2001:41d0:1:1994::1)","format":"ipv6","example":"2001:41d0:1:1994::1"},"ipv6Block":{"type":"string","description":"IPv6 CIDR notation (e.g., 2001:41d0::/128)","format":"ipv6-block","example":"2001:41d0::/128"},"macAddress":{"type":"string","description":"MAC address (e.g., 00:00:5e:00:53:01)","format":"mac-address","example":"00:00:5e:00:53:01"},"phoneNumber":{"type":"string","description":"Phone number","format":"phone-number"},"publicCloud.rancher.EligibilityReference":{"type":"object","description":"A managed Rancher service eligibility reference, applicable to service creations","properties":{"freeTrial":{"type":"boolean","description":"Whether the project is eligible for free trial for the Rancher product","readOnly":true}}},"publicCloud.rancher.PlanEnum":{"type":"string","description":"Possible values for managed Rancher plans","enum":["OVHCLOUD_EDITION","STANDARD"]},"publicCloud.rancher.PlanReference":{"type":"object","description":"A managed Rancher service plan reference, applicable to service creations","properties":{"cause":{"allOf":[{"$ref":"#/components/schemas/publicCloud.rancher.PlanUnavailabilityCauseEnum"}],"description":"Cause for an unavailability","nullable":true,"readOnly":true},"message":{"type":"string","description":"Human-readable description of the unavailability cause","nullable":true,"readOnly":true},"name":{"allOf":[{"$ref":"#/components/schemas/publicCloud.rancher.PlanEnum"}],"description":"Name of the plan","readOnly":true},"status":{"allOf":[{"$ref":"#/components/schemas/publicCloud.rancher.PlanReferenceStatusEnum"}],"description":"Status of the plan","readOnly":true}}},"publicCloud.rancher.PlanReferenceStatusEnum":{"type":"string","description":"Possible statuses for a managed Rancher plan reference","enum":["AVAILABLE","UNAVAILABLE"]},"publicCloud.rancher.PlanUnavailabilityCauseEnum":{"type":"string","description":"Possible causes for a managed Rancher plan being unavailable","enum":["CANNOT_DOWNGRADE_USING_HIGHER_FEATURES","CANNOT_SWITCH_PLAN_FOR_ALPHA","NOT_IMPLEMENTED"]},"publicCloud.rancher.VersionReference":{"type":"object","description":"A managed Rancher service version reference, applicable to service creations","properties":{"cause":{"allOf":[{"$ref":"#/components/schemas/publicCloud.rancher.VersionUnavailabilityCauseEnum"}],"description":"Cause for an unavailability","nullable":true,"readOnly":true},"changelogUrl":{"type":"string","description":"Changelog URL of the version","readOnly":true},"message":{"type":"string","description":"Human-readable description of the unavailability cause","nullable":true,"readOnly":true},"name":{"type":"string","description":"Name of the version","readOnly":true},"status":{"allOf":[{"$ref":"#/components/schemas/publicCloud.rancher.VersionReferenceStatusEnum"}],"description":"Status of the version","readOnly":true}}},"publicCloud.rancher.VersionReferenceStatusEnum":{"type":"string","description":"Possible statuses for a managed Rancher version reference","enum":["AVAILABLE","UNAVAILABLE"]},"publicCloud.rancher.VersionUnavailabilityCauseEnum":{"type":"string","description":"Possible causes for a managed Rancher version being unavailable","enum":["CANNOT_UPGRADE_MULTIPLE_VERSIONS","DEPRECATED","DISABLED","END_OF_LIFE","END_OF_SALE","END_OF_SUPPORT"]},"time":{"type":"string","description":"Time (e.g., 15:04:05)","format":"time","example":"15:04:05"}},"securitySchemes":{"oAuth2AuthCode":{"type":"oauth2","description":"Oauth2","x-client-id":"1bb9c7df371741c0","x-client-secret":"a5b4de870aca620d10fbf63cd18d205b","flows":{"authorizationCode":{"authorizationUrl":"https://auth.eu.ovhcloud.com/oauth2/authorize","tokenUrl":"https://auth.eu.ovhcloud.com/oauth2/token","scopes":{"account/all":"Manage your account","all":"Manage your whole account and all your services","services/all":"Manage your services lifecycle and billing"}}}}}},"paths":{"/publicCloud/project/{projectId}/reference/rancher/eligibility":{"get":{"operationId":"getRancherEligibility","summary":"Get managed Rancher eligibility","description":"Returns whether the project is eligible for a managed Rancher free trial.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"projectId","description":"Project ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/publicCloud.rancher.EligibilityReference"},"examples":{"Example":{"value":{"freeTrial":true},"summary":"Example"}}}}}},"tags":["Reference"],"x-developer-hub-navigation":[["Public Cloud","Container","Managed Rancher Service","Service references@@@10"],["Public Cloud","Project Management","Service references","Managed Rancher@@@70"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/publicCloud/project/{projectId}/reference/rancher/eligibility\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/publicCloud/project/{projectId}/reference/rancher/eligibility\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"publicCloudProject:apiovh:reference/rancher/eligibility/get","required":true}]}},"/publicCloud/project/{projectId}/reference/rancher/plan":{"get":{"operationId":"getRancherPlans","summary":"List managed Rancher plans","description":"Returns the plans available for creating a managed Rancher service, with their status and the cause when a plan is unavailable.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"header","name":"X-Pagination-Cursor","description":"Pagination cursor","schema":{"type":"string"}},{"in":"header","name":"X-Pagination-Size","description":"Pagination size","schema":{"type":"integer"}},{"in":"path","name":"projectId","description":"Project ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/publicCloud.rancher.PlanReference"}},"examples":{"Example":{"value":[{"name":"OVHCLOUD_EDITION","status":"AVAILABLE"},{"name":"STANDARD","status":"AVAILABLE"}],"summary":"Example"}}}}}},"tags":["Reference"],"x-developer-hub-navigation":[["Public Cloud","Container","Managed Rancher Service","Service references@@@20"],["Public Cloud","Project Management","Service references","Managed Rancher@@@80"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/publicCloud/project/{projectId}/reference/rancher/plan\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/publicCloud/project/{projectId}/reference/rancher/plan\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"publicCloudProject:apiovh:reference/rancher/plan/get","required":true}]}},"/publicCloud/project/{projectId}/reference/rancher/version":{"get":{"operationId":"getRancherVersions","summary":"List managed Rancher versions","description":"Returns the versions available for creating a managed Rancher service, with their status, changelog URL and the cause when a version is unavailable.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"header","name":"X-Pagination-Cursor","description":"Pagination cursor","schema":{"type":"string"}},{"in":"header","name":"X-Pagination-Size","description":"Pagination size","schema":{"type":"integer"}},{"in":"path","name":"projectId","description":"Project ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/publicCloud.rancher.VersionReference"}},"examples":{"Example":{"value":[{"changelogUrl":"https://github.com/rancher/rancher/releases/tag/v1.0.0","name":"1.0.0","status":"AVAILABLE"},{"changelogUrl":"https://github.com/rancher/rancher/releases/tag/v1.1.0","name":"1.1.0","status":"AVAILABLE"}],"summary":"Example"}}}}}},"tags":["Reference"],"x-developer-hub-navigation":[["Public Cloud","Container","Managed Rancher Service","Service references@@@40"],["Public Cloud","Project Management","Service references","Managed Rancher@@@100"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/publicCloud/project/{projectId}/reference/rancher/version\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/publicCloud/project/{projectId}/reference/rancher/version\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"publicCloudProject:apiovh:reference/rancher/version/get","required":true}]}},"/publicCloud/reference/rancher/plan":{"get":{"operationId":"getRancherPlansDeprecated","summary":"List available plans for creating a managed Rancher service","deprecated":true,"x-deprecation-date":"2024-05-20T00:00:00Z","x-deletion-date":"2024-09-01T00:00:00Z","x-replacement-route":"/v2/publicCloud/project/{projectId}/reference/rancher","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"header","name":"X-Pagination-Cursor","description":"Pagination cursor","schema":{"type":"string"}},{"in":"header","name":"X-Pagination-Size","description":"Pagination size","schema":{"type":"integer"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/publicCloud.rancher.PlanReference"}},"examples":{"Example":{"value":[{"name":"OVHCLOUD_EDITION","status":"AVAILABLE"},{"name":"STANDARD","status":"AVAILABLE"}],"summary":"Example"}}}}}},"tags":["Reference"],"x-developer-hub-navigation":[["Public Cloud","Container","Managed Rancher Service","Service references@@@45"],["Public Cloud","Project Management","Service references","Managed Rancher@@@105"]],"x-badges":[{"color":"red","label":"Deprecated, will be removed"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/publicCloud/reference/rancher/plan\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/publicCloud/reference/rancher/plan\");\n\nprint_r($result);\n?>"}]}},"/publicCloud/reference/rancher/version":{"get":{"operationId":"getRancherVersionsDeprecated","summary":"List available versions for creating a managed Rancher service","deprecated":true,"x-deprecation-date":"2024-05-20T00:00:00Z","x-deletion-date":"2024-09-01T00:00:00Z","x-replacement-route":"/v2/publicCloud/project/{projectId}/reference/rancher","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"header","name":"X-Pagination-Cursor","description":"Pagination cursor","schema":{"type":"string"}},{"in":"header","name":"X-Pagination-Size","description":"Pagination size","schema":{"type":"integer"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/publicCloud.rancher.VersionReference"}},"examples":{"Example":{"value":[{"changelogUrl":"https://github.com/rancher/rancher/releases/tag/v1.0.0","name":"1.0.0","status":"AVAILABLE"},{"changelogUrl":"https://github.com/rancher/rancher/releases/tag/v1.1.0","name":"1.1.0","status":"AVAILABLE"}],"summary":"Example"}}}}}},"tags":["Reference"],"x-developer-hub-navigation":[["Public Cloud","Container","Managed Rancher Service","Service references@@@50"],["Public Cloud","Project Management","Service references","Managed Rancher@@@110"]],"x-badges":[{"color":"red","label":"Deprecated, will be removed"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/publicCloud/reference/rancher/version\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/publicCloud/reference/rancher/version\");\n\nprint_r($result);\n?>"}]}}},"tags":[{"name":"Reference","x-tag-expanded":false,"description":"Missing description"}]}
